KUnitTest::SlotTester Class Reference

`#include <tester.h>`

Inheritance diagram for KUnitTest::SlotTester:

## Signals

void | invoke ()

## Public Member Functions

| SlotTester (const char *name=0L)
void | allTests ()
TestResults * | results (const char *sl)
TestResultsListType & | resultsList ()
Public Member Functions inherited from KUnitTest::Tester
| Tester (const char *name=0L)
virtual TestResults * | results ()

## Additional Inherited Members

Protected Member Functions inherited from KUnitTest::Tester
void | skip (const char *file, int line, QString msg)
template<typename T >
void | check (const char *file, int line, const char *str, const T &result, const T &expectedResult, bool expectedFail)
void | success (const QString &message)
void | failure (const QString &message)
void | expectedFailure (const QString &message)
void | unexpectedSuccess (const QString &message)
void | skipTest (const QString &message)
void | setExceptionRaised (bool state)
bool | exceptionRaised () const
Protected Attributes inherited from KUnitTest::Tester
TestResults * | m_results

## Detailed Description

The SlotTester class is a special Tester class, one that will execute all slots that start with the string "test". The method void allTests() is implemented and should not be overriden.

Definition at line 686 of file tester.h.

## Member Function Documentation

void KUnitTest::SlotTester::allTests | ( |  | ) |

virtual

Implement this method with the tests and checks you want to perform.

Implements KUnitTest::Tester.

Definition at line 49 of file tester.cpp.

The documentation for this class was generated from the following files:

- tester.h
- tester.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys